Language.Haskell.GhcMod

# Cradle

data Cradle

data Project

findCradle

# Options

data Options

data LineSeparator

data OutputStyle

data FileMapping

defaultOptions

# Logging

data GmLogLevel

increaseLogLevel

decreaseLogLevel

gmSetLogLevel

gmLog

# Types

data ModuleString

data Expression

data GhcPkgDb

type Symbol

data SymbolDb

data GhcModError

# Monad Types

type GhcModT m

type IOish m

# Monad utilities

runGhcModT

withOptions

dropSession

# `GhcMod` utilities

boot

browse

check

checkSyntax

debugInfo

componentInfo

expandTemplate

info

lint

pkgDoc

rootInfo

types

test

splits

sig

refine

auto

modules

languages

flags

findSymbol

lookupSymbol

dumpSymbol

# SymbolDb

loadSymbolDb

isOutdated

# Output

gmPutStr

gmErrStr

gmPutStrLn

gmErrStrLn

# FileMapping

loadMappedFile

loadMappedFileSource

unloadMappedFile